| 0.6.1

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
textureCube Class Reference
Inheritance diagram for textureCube:

## Public Types
typedef dim2_t | dim_type
typedef vec3 | texcoord_type
Public Types inherited from texture
typedef format | format_type
typedef size_t | size_type

## Public Member Functions
dim_type | dimensions () const
| operator storage () const
texture2D | operator[] (size_type const &Face) const
| textureCube ()
| textureCube (size_type const &Faces, size_type const &Levels, format_type const &Format, dim_type const &Dimensions)
| textureCube (size_type const &Faces, format_type const &Format, dim_type const &Dimensions)
| textureCube (storage const &Storage)
| textureCube (storage const &Storage, format_type const &Format, size_type BaseLayer, size_type MaxLayer, size_type BaseFace, size_type MaxFace, size_type BaseLevel, size_type MaxLevel)
| textureCube (textureCube const &Texture, size_type const &BaseFace, size_type const &MaxFace, size_type const &BaseLevel, size_type const &MaxLevel)
| textureCube (textureCubeArray const &Texture, size_type const &BaseLayer, size_type const &BaseFace, size_type const &MaxFace, size_type const &BaseLevel, size_type const &MaxLevel)
| textureCube (texture2D const &Texture, size_type const &BaseLevel, size_type const &MaxLevel)
Public Member Functions inherited from texture
size_type | baseFace () const
size_type | baseLayer () const
size_type | baseLevel () const
void | clear ()
template<typename genType >
void | clear (genType const &Texel)
void * | data ()
template<typename genType >
genType * | data ()
void const * | data () const
template<typename genType >
genType const * | data () const
bool | empty () const
size_type | faces () const
format_type | format () const
size_type | layers () const
size_type | levels () const
size_type | maxFace () const
size_type | maxLayer () const
size_type | maxLevel () const
size_type | size () const
template<typename genType >
size_type | size () const
| texture ()
| texture (size_type const &Layers, size_type const &Faces, size_type const &Levels, format_type const &Format, storage::dim_type const &Dimensions)
| texture (storage const &Storage)
| texture (storage const &Storage, format_type const &Format, size_type BaseLayer, size_type MaxLayer, size_type BaseFace, size_type MaxFace, size_type BaseLevel, size_type MaxLevel)

## Additional Inherited Members
Protected Attributes inherited from texture
size_type const | BaseFace
size_type const | BaseLayer
size_type const | BaseLevel
void *const | Data
format_type const | Format
size_type const | MaxFace
size_type const | MaxLayer
size_type const | MaxLevel
size_type const | Size
storage | Storage

## Detailed Description

Definition at line 38 of file texture_cube.hpp.

## Member Typedef Documentation

typedef dim2_t dim_type

Definition at line 41 of file texture_cube.hpp.

typedef vec3 texcoord_type

Definition at line 42 of file texture_cube.hpp.

## Constructor & Destructor Documentation

textureCube | ( |  | ) |

textureCube | ( | size_type const & | Faces,
|  | size_type const & | Levels,
|  | format_type const & | Format,
|  | dim_type const & | Dimensions
| ) |  |
| explicit

Create a textureCube and allocate a new storage.

textureCube | ( | size_type const & | Faces,
|  | format_type const & | Format,
|  | dim_type const & | Dimensions
| ) |  |
| explicit

Create a textureCube and allocate a new storage with a complete mipmap chain.

textureCube | ( | storage const & | Storage | ) |
| explicit

Create a texture2D view with an existing storage.

textureCube | ( | storage const & | Storage,
|  | format_type const & | Format,
|  | size_type | BaseLayer,
|  | size_type | MaxLayer,
|  | size_type | BaseFace,
|  | size_type | MaxFace,
|  | size_type | BaseLevel,
|  | size_type | MaxLevel
| ) |  |
| explicit

Create a texture2D view with an existing storage.

textureCube | ( | textureCube const & | Texture,
|  | size_type const & | BaseFace,
|  | size_type const & | MaxFace,
|  | size_type const & | BaseLevel,
|  | size_type const & | MaxLevel
| ) |  |
| explicit

Create a textureCube view, reference a subset of an existing textureCube instance.

textureCube | ( | textureCubeArray const & | Texture,
|  | size_type const & | BaseLayer,
|  | size_type const & | BaseFace,
|  | size_type const & | MaxFace,
|  | size_type const & | BaseLevel,
|  | size_type const & | MaxLevel
| ) |  |
| explicit

Create a textureCube view, reference a subset of an existing textureCubeArray instance.

textureCube | ( | texture2D const & | Texture,
|  | size_type const & | BaseLevel,
|  | size_type const & | MaxLevel
| ) |  |
| explicit

Create a textureCube view, reference a subset of an existing texture2D instance.

## Member Function Documentation

dim_type dimensions | ( |  | ) | const

operator storage | ( |  | ) | const

texture2D operator[] | ( | size_type const & | Face | ) | const